body {
    margin:0;
    font-family:'Montserrat', sans-serif;
    background:#f4f6f9;
    color:#222;
}

.container {
    width:90%;
    max-width:1200px;
    margin:auto;
}

/* HEADER */

.header {
    position:relative;
    background:#111;
    color:white;
    padding:15px 0;
}

.header-inner {
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.logo {
	display:block;
    height: clamp(40px, 6vw, 70px);
	width: auto;
}

.logo:hover{
    opacity:0.9;
}

nav ul {
    list-style:none;
    display:flex;
    gap:25px;
    margin:0;
    padding:0;
}

nav a {
    color:white;
    text-decoration:none;
    font-weight:600;
    transition:0.3s;
}

nav a:hover {
    color:#e63946;
}

/* HERO */

.hero-wrapper {
    background:#000; /* couleur autour */
}

.hero {
    background:linear-gradient(rgba(0,0,0,0.6), rgba(0,0,0,0.6)),
               url('../images/Orchestre.jpg') top/cover no-repeat;
			   
    height:25vh;
    max-height:850px;
    max-width:1400px;
    margin:auto;
	
    color:white;
    text-align:center;
    padding:120px 20px;
}

.hero-inner {
    display: flex;
    align-items: center;
    justify-content: left;
    gap: 60px;
}

.hero-image img {
    width: 280px;
    border-radius: 12px;
    box-shadow: 0 15px 40px rgba(0,0,0,0.15);
	transition:0.4s;
}

.hero-content {
    max-width: 550px;
}

.hero-content h1 {
    font-size:3rem;
    font-weight:800;
}

.hero-content p {
    margin:20px 0;
	font-size:0.95rem;
}

.btn-primary {
    background:#e63946;
    padding:14px 30px;
    border-radius:40px;
    color:white;
    text-decoration:none;
    font-weight:600;
    transition:0.3s;
}

.btn-primary:hover {
    background:#c1121f;
    transform:translateY(-3px);
}


.hero-small {
    height:18vh;
    padding:60px 20px;
}

.hero-small .hero-image img {
    width:140px;
}

.hero-small .hero-content h1 {
    font-size:3rem;
}

.hero-small .hero-content p {
    font-size:0.9rem;
}

/* CONCERT */

.concert-highlight {
    background:#111;
    color:white;
    padding:40px 0;
}

.concert-box {
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.concert-date {
    font-size:1.5rem;
    font-weight:800;
}

/* CONTENT */

.content-section {
    padding:60px 0;
}

/* ASSOCIATION */

/* intro */

.asso-intro-center{
    text-align:center;
    max-width:700px;
    margin:60px auto;
}

.asso-intro-center h2{
    font-size:2rem;
}


/* blocs alternés */

.asso-block{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:60px;
    align-items:center;
    margin:80px 0;
}

.asso-block.reverse{
    direction:rtl;
}

.asso-block.reverse .asso-text{
    direction:ltr;
}

.asso-photo img{
    width:100%;
    border-radius:10px;
    box-shadow:0 10px 25px rgba(0,0,0,0.15);
}


.asso-text p {

    text-align: justify;
    line-height: 1.7;

    hyphens: auto;
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
}

/* spectacles */

.asso-spectacles{
    background:white;
    padding:50px;
    border-radius:12px;
    box-shadow:0 10px 30px rgba(0,0,0,0.05);
    margin:80px 0;
}

.asso-spectacles ul{
    padding-left:20px;
    line-height:1.7;
}


/* conclusion */

.asso-final{
    text-align:center;
}

.asso-final img{
    width:100%;
    max-width:700px;
    border-radius:10px;
    box-shadow:0 10px 25px rgba(0,0,0,0.15);
}


/* ORCHESTRES */

.orchestre-cards{
    display:flex;
	flex-direction:column;
}

.orchestre-card{
    background:white;
    border-radius:12px;
    overflow:hidden;
    box-shadow:0 10px 30px rgba(0,0,0,0.05);
    transition:0.3s;
}

/*
.orchestre-card:hover{
    transform:translateY(-6px);
}
*/
.orchestre-card img{
    width:100%;
    height:300px;
    object-fit:contain;
	background:#000;
}

.orchestre-content{
    padding:30px;
	display:flex;
    flex-direction:column;
    flex:1;
}

.orchestre-content h3{
    margin-top:0;
    font-size:1.6rem;
}

.orchestre-content p{
    text-align:justify;
    line-height:1.7;
	
	hyphens: auto;
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
}

.orchestre-buttons{
    margin-top:auto;
    display:flex;
    gap:10px;
    flex-wrap:wrap;
}

/* ACTIONS */

.actions-section {
    background:#f4f6f9;
    padding:60px 0;
}

.cards {
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:30px;
}

.card {
    background:white;
    padding:30px;
    border-radius:12px;
    box-shadow:0 10px 30px rgba(0,0,0,0.05);
    transition:0.3s;
}

.card:hover {
    transform:translateY(-5px);
}

.btn-secondary {
    display:inline-block;
    margin-top:10px;
    background:#111;
    color:white;
    padding:10px 20px;
    border-radius:30px;
    text-decoration:none;
}

/* AUDIO */

.audio-section {
    padding:60px 0;
    text-align:center;
}

.audio-section audio {
    margin-top:20px;
    width:100%;
    max-width:500px;
}

/* PARTNERS */

.partners-section {
    padding:40px 0;
    background:white;
}

.partners {
    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    align-items:center;
    gap:40px;
    opacity:0.7;
}

.partners a {
    display:flex;
    justify-content:center;
    align-items:center;
}

.partners img {
    height:50px;
    width:auto;
    transition:0.3s;
}

.partners img:hover {
    opacity:1;
    transform:scale(1.05);
}
   

/* FOOTER */

.footer {
    background:#111;
    color:white;
    text-align:center;
    padding:25px;
}

/* MOBILE */

.burger {
    display:none;
    background:none;
    border:none;
    color:white;
    font-size:28px;
}

@media(max-width:900px){
	
	.hero {
        height: auto;        /* supprime la hauteur fixe */
        min-height: unset;   /* au cas où */
        padding: 40px 20px;  /* padding réduit */
    }
	
	.hero-inner {
        flex-direction: column;
        text-align: center;
		gap: 0px;
    }

    .hero-image img {
        width: 220px;
    }

    .hero-content h1 {
        font-size: 2rem;
    }
	
	
	.hero-small{
        padding:30px 20px;
    }

    .hero-small .hero-image img{
        width:120px;
    }

    .hero-small .hero-content h1{
        font-size:2rem;
    }
	

    nav {
        display:none;
        position:absolute;
        top:80px;
        right:20px;
        background:#111;
        padding:20px;
        border-radius:8px;
    }

    nav.active {
        display:block;
    }

    nav ul {
        flex-direction:column;
        gap:15px;
    }

    .burger {
        display:block;
    }

    .concert-box {
        flex-direction:column;
        gap:20px;
        text-align:center;
    }
	
	.asso-intro{
        grid-template-columns:1fr;
    }
	
	.asso-block{
        grid-template-columns:1fr;
        gap:30px;
    }

    .asso-block.reverse{
        direction:ltr;
    }
	
	.asso-text p {

    line-height: unset;
	}
	
	.orchestre-cards{
    grid-template-columns:1fr;
	}

    .cards {
        grid-template-columns:1fr;
    }
	
	.orchestre-card img{
    height:unset;
	}
	.orchestre-content p{
    line-height:unset;
	}

	.partners {
		display:grid;
		grid-template-columns:1fr 1fr; /* 2 colonnes */
		gap:25px;
		justify-items:center;
	}
}